package ANNs;
/**
 * @author Orisun
 * date 2011-10-20
 */
import java.util.Random;

import org.eclipse.swt.SWT;

public class Tank {

	int color;
	int coordinate_x;
	int coordinate_y;
	double speed;
	double angle;	//在[0,2*PI)范围内
	double fitness;
	
	Tank(int max_x,int max_y,Random rand){
		color=SWT.COLOR_BLACK;
		coordinate_x=rand.nextInt(max_x);
		coordinate_y=rand.nextInt(max_y);
		speed=0.0;
		if(rand.nextBoolean())
			angle=rand.nextDouble()*Math.PI*2;
		else
			angle=-1*rand.nextDouble()*Math.PI*2;
		fitness=0.0;
	}
	
	public void updatePosition(){
		coordinate_x+=speed*Math.cos(angle);
		coordinate_y+=speed*Math.sin(angle);
	}
	public void updatePosition(int x,int y){
		coordinate_x=x;
		coordinate_y=y;
	}
}
